CVE-2005-4317
CVSS6.8
发布时间 :2005-12-17 06:03:00
修订时间 :2011-03-07 21:27:59
NMCO    

[原文]Limbo CMS 1.0.4.2 and earlier, with register_globals off, does not protect the $_SERVER variable from external modification, which allows remote attackers to use the _SERVER[REMOTE_ADDR] parameter to (1) conduct cross-site scripting (XSS) attacks in the stats module or (2) execute arbitrary code via an eval injection attack in the wrapper option in index2.php.


[CNNVD]Limbo CMS多个输入验证漏洞(CNNVD-200512-362)

        Limbo CMS 1.0.4.2及更早版本在register_globals off的情况下不能防止从外部修改$_SERVER变量,远程攻击者可以通过index2.php wrapper选项中的eval注入攻击,使用_SERVER[REMOTE_ADDR]参数(1)在stats模块中实施跨站脚本(XSS)攻击或(2)执行任意代码。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4317
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4317
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-362
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/18063/
(VENDOR_ADVISORY)  SECUNIA  18063
http://www.vupen.com/english/advisories/2005/2932
(UNKNOWN)  VUPEN  ADV-2005-2932
http://www.securityfocus.com/bid/15871/
(UNKNOWN)  BID  15871
http://www.securityfocus.com/archive/1/archive/1/419470/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051214 LIMBO CMS <= v1.0.4.2 _SERVER[] array overwrite / remote code execution
http://securitytracker.com/id?1015364
(UNKNOWN)  SECTRACK  1015364
http://rgod.altervista.org/limbo1042_xpl.html
(VENDOR_ADVISORY)  MISC  http://rgod.altervista.org/limbo1042_xpl.html
http://www.osvdb.org/21756
(UNKNOWN)  OSVDB  21756
http://www.osvdb.org/21754
(UNKNOWN)  OSVDB  21754
http://securityreason.com/securityalert/255
(UNKNOWN)  SREASON  255

- 漏洞信息

Limbo CMS多个输入验证漏洞
中危 跨站脚本
2005-12-17 00:00:00 2005-12-19 00:00:00
远程  
        Limbo CMS 1.0.4.2及更早版本在register_globals off的情况下不能防止从外部修改$_SERVER变量,远程攻击者可以通过index2.php wrapper选项中的eval注入攻击,使用_SERVER[REMOTE_ADDR]参数(1)在stats模块中实施跨站脚本(XSS)攻击或(2)执行任意代码。

- 公告与补丁

        

- 漏洞信息

21754
Limbo CMS index.php _SERVER[REMOTE_ADDR] Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Limbo CMS contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the '_SERVER[REMOTE_ADDR]' variable upon submission to the 'index.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-12-14 Unknow
2005-12-14 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站